Bug 669327 - Review Request: drupal6-views_bulk_operations - This module augments Views by allowing bulk operations to be executed
Review Request: drupal6-views_bulk_operations - This module augments Views by...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
 
Reported: 2011-01-13 06:33 EST by Peter Borsa
Modified: 2011-03-28 13:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: drupal6-views_bulk_operations-1.10-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-26 11:48:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
stickster: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Borsa 2011-01-13 06:33:32 EST
Spec URL: http://asrob.fedorapeople.org/SOURCES/drupal6-views_bulk_operations.spec
SRPM URL: http://asrob.fedorapeople.org/SOURCES/drupal6-views_bulk_operations-1.10-1.fc14.src.rpm
Description: This module augments Views by allowing bulk operations to be executed on the nodes displayed by a view. It does so by showing a checkbox in front of each node, and adding a select box containing operations that can be applied on the selected nodes.
Comment 1 Peter Borsa 2011-01-13 06:37:03 EST
rpmlint output:

[asrob@alice SPECS]$ rpmlint drupal6-views_bulk_operations.spec ../SRPMS/drupal6-views_bulk_operations-1.10-1.fc14.src.rpm ../RPMS/noarch/drupal6-views_bulk_operations-1.10-1.fc14.noarch.rpm
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2718812
Watching tasks (this may be safely interrupted)...
2718812 build (dist-f14, drupal6-views_bulk_operations-1.10-1.fc14.src.rpm): open (x86-07.phx2.fedoraproject.org)
  2718813 buildArch (drupal6-views_bulk_operations-1.10-1.fc14.src.rpm, noarch): free
  2718813 buildArch (drupal6-views_bulk_operations-1.10-1.fc14.src.rpm, noarch): free -> open (x86-10.phx2.fedoraproject.org)
  2718813 buildArch (drupal6-views_bulk_operations-1.10-1.fc14.src.rpm, noarch): open (x86-10.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
2718812 build (dist-f14, drupal6-views_bulk_operations-1.10-1.fc14.src.rpm): open (x86-07.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

2718812 build (dist-f14, drupal6-views_bulk_operations-1.10-1.fc14.src.rpm) completed successfully
Comment 2 Volker Fröhlich 2011-01-18 08:53:24 EST
Please correct the license to GPLv2+, as all modules hosted in Drupal's CVS must be.
Comment 4 Paul W. Frields 2011-01-19 20:03:09 EST
[ O K ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint rpmbuild/SPECS/drupal6-views_bulk_operations.spec rpmbuild/SRPMS/drupal6-views_bulk_operations-1.10-2.fc14.src.rpm rpmbuild/RPMS/noarch/drupal6-views_bulk_operations-1.10-2.fc14.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ O K ] MUST: The package must meet the Packaging Guidelines.

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ O K ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum rpmbuild/SOURCES/drupal6-views_bulk_operations-1.10/views_bulk_operations-6.x-1.10.tar.gz ; curl -s -o - http://ftp.drupal.org/files/projects/views_bulk_operations-6.x-1.10.tar.gz | md5sum -
dbe3f88c08acdbb50fda331e496bfc3e  rpmbuild/SOURCES/drupal6-views_bulk_operations-1.10/views_bulk_operations-6.x-1.10.tar.gz
dbe3f88c08acdbb50fda331e496bfc3e  -

[ O K ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture. 

[ N/A ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ O K ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ O K ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ N/A ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ N/A ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ N/A ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ N/A ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ N/A ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ N/A ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.

Module installs cleanly and operates normally, proper dependencies are also observed.  APPROVED.
Comment 5 Peter Borsa 2011-01-20 02:14:14 EST
New Package SCM Request
=======================
Package Name: drupal6-views_bulk_operations
Short Description: This module augments Views by allowing bulk operations to be executed.
Owners: asrob
Branches: f14 el5 el6
InitialCC:
Comment 6 Jason Tibbitts 2011-01-25 18:41:59 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2011-01-26 11:26:24 EST
drupal6-views_bulk_operations-1.10-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal6-views_bulk_operations-1.10-3.fc14
Comment 8 Fedora Update System 2011-01-26 11:35:12 EST
drupal6-views_bulk_operations-1.10-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-views_bulk_operations-1.10-3.el5
Comment 9 Fedora Update System 2011-01-26 11:47:16 EST
drupal6-views_bulk_operations-1.10-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-views_bulk_operations-1.10-3.el6
Comment 10 Fedora Update System 2011-01-28 09:58:21 EST
drupal6-views_bulk_operations-1.10-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-views_bulk_operations-1.10-5.el5
Comment 11 Fedora Update System 2011-01-28 10:06:12 EST
drupal6-views_bulk_operations-1.10-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-views_bulk_operations-1.10-5.el6
Comment 12 Fedora Update System 2011-02-27 13:45:05 EST
Package drupal6-views_bulk_operations-1.10-6.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing drupal6-views_bulk_operations-1.10-6.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/drupal6-views_bulk_operations-1.10-6.fc14
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2011-03-14 06:22:18 EDT
drupal6-views_bulk_operations-1.10-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2011-03-28 13:27:50 EDT
drupal6-views_bulk_operations-1.10-5.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 15 Fedora Update System 2011-03-28 13:28:50 EDT
drupal6-views_bulk_operations-1.10-5.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.